Subject: Re: [PATCH net-next 0/8] tou: Transports over UDP - part I

From: Rick Jones <[email-masked]>
Date: Thu, 16 Jun 2016 11:10:23 -0700

On 06/16/2016 10:51 AM, Tom Herbert wrote:

> Note that #1 is really about running a transport stack in userspace
> applications in clients, not necessarily servers. For servers we
> intend to modified the kernel stack in order to leverage existing
> implementation for building scalable serves (hence these patches).

Only if there is a v2 for other reasons...  I assume that was meant to 
be "scalable servers."

> Tested: Various cases of TOU with IPv4, IPv6 using TCP_STREAM and
> TCP_RR. Also, tested IPIP for comparing TOU encapsulation to IP
> tunneling.
>
>      - IPv6 native
>        1 TCP_STREAM
> 	8394 tps

TPS for TCP_STREAM?  Is that Mbit/s?

>        200 TCP_RR
> 	1726825 tps
> 	100/177/361 90/95/99% latencies

To enhance the already good comprehensiveness of the numbers, a 1 TCP_RR 
showing the effect on latency rather than aggregate PPS would be 
goodness, as would a comparison of the service demands of the different 
single-stream results.

CPU and NIC models would provide excellent context for the numbers.

happy benchmarking,

rick jones